EDIT - bug #7080

Fix matching for empty time periods
11/22/2017 12:31 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.12

Severity: normal Found in Version:

Description

If a time period is empty it will be loaded as an empty TimePeriod if the object is persisted. A new object may not have a TimePeriod

at all.

The behavior in general is the same but during matching this was not considered yet. Similar to empty and null Strings.

Associated revisions

Revision bfc6a038 - 11/21/2017 10:43 AM - Andreas Miiller
ref #6965 fix empty TimePeriod matching bug

Revision fd48f996 - 01/30/2018 01:53 PM - Andreas Miiller
ref #7080 fix potential other isEmpty issues for @Embeddable classes

History

#1 - 11/22/2017 12:32 PM - Andreas Miiller

- Status changed from New to Resolved

Check for similar cases (e.g. Point) before completely closing this issue.

#2 - 01/30/2018 01:53 PM - Andreas Miiller

- Status changed from Resolved to Closed
